Closed Bug 515153 Opened 10 years ago Closed 7 years ago

test_popup_attribute.xul intermittently fails to open screen positioned popups properly

Categories

(Core :: XUL, defect)

1.9.2 Branch
x86
Linux
defect
Not set

Tracking

()

RESOLVED WORKSFORME

People

(Reporter: enndeakin, Unassigned)

References

Details

(Keywords: intermittent-failure)

This causes the following failures:

92284 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_attribute.xul | show popup with position
92301 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_attribute.xul | open popup at screen
92315 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_attribute.xul | open context popup at screen

May be related to or caused by the fix from bug 445749, so we'll see whether it continues to happen.
It apparently continues!

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1252510846.1252519692.19138.gz&fulltext=1
Linux mozilla-central unit test on 2009/09/09 08:40:46
Whiteboard: [orange]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6-Unittest/1257876913.1257880183.8997.gz
Linux mozilla-1.9.2 test mochitests Started 13:15, finished 14:10
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6-Unittest/1258503355.1258508191.2852.gz&fulltext=1

Linux mozilla-1.9.2 test mochitests [testfailed] Started 16:15, finished 17:37
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6-Unittest/1260489054.1260491362.26418.gz
Linux mozilla-1.9.2 test mochitests on 2009/12/10 15:50:54
s: moz2-linux-slave16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1261194108.1261197168.12123.gz
Linux mozilla-1.9.2 test mochitests on 2009/12/18 19:41:48
s: moz2-linux-slave08
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1262305111.1262307375.31129.gz
Linux mozilla-1.9.2 test mochitests on 2009/12/31 16:18:31
s: moz2-linux-slave19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1263591462.1263594299.15068.gz
Linux mozilla-1.9.2 test mochitests on 2010/01/15 13:37:42
s: moz2-linux-slave19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1263595105.1263598070.25125.gz
Linux mozilla-1.9.2 test mochitests on 2010/01/15 14:38:25
s: moz2-linux-slave20
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1265365040.1265367182.19377.gz
Linux mozilla-1.9.2 test mochitests on 2010/02/05 02:17:20
s: moz2-linux-slave25
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1266870184.1266873824.16786.gz
Linux mozilla-1.9.2 test mochitests on 2010/02/22 12:23:04
s: moz2-linux-slave05
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1270092477.1270094600.23843.gz&fulltext=1
Linux mozilla-1.9.2 test mochitests (3 tests failed)

s: moz2-linux-slave23104041 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_attribute.xul | show popup with position
104058 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_attribute.xul | open popup at screen
104072 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1276316012.1276319173.24557.gz

s: moz2-linux-slave06
115242 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_attribute.xul | show popup with position
Bug 515153 - test_popup_attribute.xul intermittently fails to open screen positioned popups properly
Bug 506596 - test_popup_attribute.xul fails intermittently
Bug 487817 - [Linux] mochitest-plain: test_popup_attribute.xul intermittently times out
115259 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_attribute.xul | open popup at screen
115273 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_attribute.xul | open context popup at scre
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1277530610.1277533035.7891.gz
Linux mozilla-1.9.2 test mochitests on 2010/06/25 22:36:50

s: moz2-linux-slave27
104630 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_attribute.xul | show popup with position
104647 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_attribute.xul | open popup at screen
104661 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_attribute.xul | open context popup at screen
I added some additional logging info to these tests.

http://hg.mozilla.org/mozilla-central/rev/6fab4ffed4f7
Version: Trunk → 1.9.2 Branch
Mass marking whiteboard:[orange] bugs WFM (to clean up TBPL bug suggestions) that:
* Haven't changed in > 6months
* Whose whiteboard contains none of the strings: {disabled,marked,random,fuzzy,todo,fails,failing,annotated,leave open,time-bomb}
* Passed a (quick) manual inspection of bug summary/whiteboard to ensure they weren't a false positive.

I've also gone through and searched for cases where the whiteboard wasn't labelled correctly after test disabling, by using attachment description & basic comment searches. However if the test for which this bug was about has in fact been disabled/annotated/..., please accept my apologies & reopen/mark the whiteboard appropriately so this doesn't get re-closed in the future (and please ping me via IRC or email so I can try to tweak the saved searches to avoid more edge cases).

Sorry for the spam! Filter on: #FFA500
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.